%include	/usr/lib/rpm/macros.php
%define		_class		XML
%define		_subclass	Transformer
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - XML transformations in PHP
Summary(pl.UTF-8):	%{_pearname} - transformacje XML-a w PHP
Name:		php-pear-%{_pearname}
Version:	1.1.2
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	2a57f90aff99806473eb60bd242517f4
URL:		http://pear.php.net/package/XML_Transformer/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(pcre)
Requires:	php-pear
Requires:	php-pear-XML_Util >= 1.1.0
Requires:	php(xml)
Obsoletes:	php-pear-XML_Transformer-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
With the XML_Transformer class one can easily bind PHP functionality
to XML tags, thus transforming the input XML tree into an output XML
tree without the need for XSLT. Single XML elements can be overloaded
with PHP functions, methods and static method calls, XML namespaces
can be registered to be handled by PHP classes.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Z klasą XML_Transformer można łatwo związać funkcjonalność PHP z
tagami XML, transformując wejściowe drzewo XML w wyjściowe drzewo XML
bez potrzeby stosowania XSLT. Pojedynczy element XML może być
przeciążony funkcjami PHP, metodami i statycznymi wywołaniami metod,
przestrzeń nazw XML może być zarejestrowana, aby można było je
obsługiwać przez klasy PHP.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

install -d ./%{php_pear_dir}/tests
mv ./%{php_pear_dir}/{%{_class}/%{_subclass}/Tests,tests/%{_pearname}}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}
%changelog
* Mon Apr 08 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-XML_Transformer.git;a=log;h=auto/th/php-pear-XML_Transformer-1.1.2-2

* Mon Apr 08 2019 Adam Gołębiowski <adamg@pld-linux.org> f384c68
- release 2, fix run-time deps

* Mon Feb 25 2019 Adam Gołębiowski <adamg@pld-linux.org> 47f979e
- updated to 1.1.2

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 4b817c8
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 468fca5
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 035ceab
- updated deps with pearize.sh
- release 2

* Sat Dec 27 2008 Adam Gołębiowski <adamg@pld-linux.org> b2e0890
- updated to 1.1.1

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 8a5edc8
- rel 5

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 093c95c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0ca4458
- converted to UTF-8

* Tue Nov 21 2006 Elan Ruusamäe <glen@pld-linux.org> 3bc3000
- rel 4: use php(extension) virtuals

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> fbc7fd7
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> fa1822b
- AutoProv: no for -tests

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> f8b8f68
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> 1103e25
- group Development/Languages/PHP for -tests

* Thu Oct 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 46147d3
- define Epoch to 0 explicitly when using it

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 7b0e4a6
- rel 3

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> e570dc3
- semi automatically added deps from pear

* Sat Oct 01 2005 Elan Ruusamäe <glen@pld-linux.org> 7509556
- new pear packaging

* Sat Dec 04 2004 Adam Gołębiowski <adamg@pld-linux.org> 2c4881a
- rebuild with new PEAR provides/requires scripts
- release 2

* Sun Nov 28 2004 Adam Gołębiowski <adamg@pld-linux.org> 20a6a7d
- updated to 1.1.0
- added %doc, simplified %files

